Package org.apache.sysds.runtime.iogen

## Class FrameGenerateReader

- java.lang.Object
- - org.apache.sysds.runtime.io.FrameReader
  - - org.apache.sysds.runtime.iogen.FrameGenerateReader

- Direct Known Subclasses:
    `FrameGenerateReader.FrameReaderRowIrregular`, `FrameGenerateReader.FrameReaderRowRegularColIrregular`, `FrameGenerateReader.FrameReaderRowRegularColRegular`

      public abstract class FrameGenerateReader
      extends FrameReader

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `FrameGenerateReader.FrameReaderRowIrregular` |
    `static class` | `FrameGenerateReader.FrameReaderRowRegularColIrregular` |
    `static class` | `FrameGenerateReader.FrameReaderRowRegularColRegular` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FrameGenerateReader​(CustomProperties _props)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FrameBlock` | `readFrameFromHDFS​(String fname, Types.ValueType[] schema, String[] names, long rlen, long clen)` |
    `FrameBlock` | `readFrameFromInputStream​(InputStream is, Types.ValueType[] schema, String[] names, long rlen, long clen)` |

    - ### Methods inherited from class org.apache.sysds.runtime.io.FrameReader

      `getDefColNames, getDefSchema, readFrameFromHDFS, readFrameFromHDFS, readFrameFromInputStream, readFrameFromInputStream`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FrameGenerateReader

          public FrameGenerateReader​(CustomProperties _props)

  - ### Method Detail

    - #### readFrameFromHDFS

          public FrameBlock readFrameFromHDFS​(String fname,
                                              Types.ValueType[] schema,
                                              String[] names,
                                              long rlen,
                                              long clen)
                                       throws IOException,
                                              DMLRuntimeException

      Specified by:
        `readFrameFromHDFS` in class `FrameReader`
      Throws:
        `IOException`
        `DMLRuntimeException`

    - #### readFrameFromInputStream

          public FrameBlock readFrameFromInputStream​(InputStream is,
                                                     Types.ValueType[] schema,
                                                     String[] names,
                                                     long rlen,
                                                     long clen)
                                              throws IOException,
                                                     DMLRuntimeException

      Specified by:
        `readFrameFromInputStream` in class `FrameReader`
      Throws:
        `IOException`
        `DMLRuntimeException`